pozilla.sh again




Hi,

This patch allows pozilla.sh to be run without mutt in dry-run mode, by
moving the detection of mutt after all command line options are processed.
Is it viable, or is there any problem I missed at all?

Regards,
Abel
--- /home/maddog/cvs/ANONCVS.GNOME.ORG/gtranslator/pozilla.sh	Tue Jun 19 01:49:54 2001
+++ ./pozilla.sh	Tue Jun 26 13:44:00 2001
@@ -59,7 +59,7 @@
 #
 # Check for all necessary applications for pozilla.sh.
 #
-for app in msgfmt msgmerge make grep sed awk mutt
+for app in msgfmt msgmerge make grep sed awk
 	do
 		if test "z`which $app`" = "z" ; then
 			echo "---------------------------------------------------------------"
@@ -421,6 +421,16 @@
 	;;
 	esac
 done	
+
+#
+# Finally, check for existance of mutt if $RUN_DRY is not defined.
+#
+if test "z`which mutt`" = "z" -a "say_$RUN_DRY" != "say_yes" ; then
+	echo "---------------------------------------------------------------"
+	echo "!ERROR¡: The application \"mutt\" is necessary for running pozilla.sh!"
+	echo "---------------------------------------------------------------"
+	exit 1
+fi
 
 #
 # Check if a po directory is existent in the $PO_DIR.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]